gradle (7.3.2-0parrot0) rolling; urgency=medium

  * New upstream version 7.3.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 18 Dec 2021 23:49:45 +0700

gradle (4.4.1-13) unstable; urgency=medium

  * Team upload.
  * Fixed OpenJDK 17 compatibility
    - Set --illegal-access=permit when launching Gradle (Closes: #981861)
    - Backported a fix to SourcepathIgnoringInvocationHandler to run with
      Java 9+ when illegal access isn't allowed (the new default in Java 17)
    - Set the minimum source level to 7 when building Gradle
    - Disable doclint when generating the Gradle javadoc
  * Depend on libplexus-container-default-java
    instead of libplexus-container-default1.5-java
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Feb 2021 08:32:39 +0100

gradle (4.4.1-12) unstable; urgency=medium

  * Team upload.

  [ Samyak Jain ]
  * Backport changes from Gradle 4.7 and 5.0 (needed to package Kotlin).
  * Switch to debhelper level 13.

  [ Andrej Shadura ]
  * Improve Asciidoc-to-POD conversion for the manpage generation.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 20 Aug 2020 17:16:51 +0200

gradle (4.4.1-11) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Guava 29
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 May 2020 00:29:47 +0200

gradle (4.4.1-10) unstable; urgency=medium

  * Team upload.
  * use HTTPS URLs in packaging
  * fix CVE-2019-11065 with upstream patch (Closes: 926923)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 10 Dec 2019 10:55:15 +0100

gradle (4.4.1-9) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Improved the reproducibility of the timestamp in build-receipt.properties

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 06 Dec 2019 00:29:59 +0100

gradle (4.4.1-8) unstable; urgency=medium

  * Backported a fix improving the detection of Java 9+

 -- Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>  Mon, 05 Aug 2019 09:36:52 +0200

gradle (4.4.1-7) unstable; urgency=medium

  * Team upload.

  [ Jongmin Kim ]
  * Use JRE provided xml-apis (Closes: #925586)

  [ Saif Abdul Cassim ]
  * Backported the refactored IvyArtifact classes from Gradle 4.8
    to help building Kotlin

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 27 Jun 2019 14:52:30 +0200

gradle (4.4.1-6) unstable; urgency=medium

  [ Tiago Stürmer Daitx ]
  * Fix OpenJDK 8 compatibility: (Closes: #925225)
    - debian/patches/java8-compatibility.patch: cast ByteBuffer to Buffer
      in org.gradle.internal.hash.Hashing to prevent NoSuchMethodError
      exception.
    - debian/patches/java11-compatibility.patch: copy upstream commit for
      "Use Lookup to invoke defineClass on Java 9+ (#4976)" instead using
      the previous partial backport to enable both OpenJDK 8 and 11 support.
  * debian/control: revert gradle Depends back to java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 22 Jun 2019 00:52:47 +0200

gradle (4.4.1-5) unstable; urgency=medium

  * Team upload.
  * Generate a very basic manpage in POD format.
  * Use ASM7 instead of ASM6 to better support Java 11 (Closes: #923284).
  * Bump libasm-java dependency to 7.0.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 20:02:13 +0100

gradle (4.4.1-4) unstable; urgency=medium

  * Team upload.
  * Removed the unused dependency on libtomcat8-java
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Jan 2019 01:14:03 +0100

gradle (4.4.1-3) unstable; urgency=medium

  * Team upload.
  * Add build-dep on libjaxp1.3-java (addresses FTBFS)

 -- tony mancill <tmancill@debian.org>  Wed, 28 Nov 2018 20:37:55 -0800

gradle (4.4.1-2) unstable; urgency=medium

  * Improve OpenJDK 11 support by backporting additional changes from upstream
    (commit ac15612d41b43c39c).

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 06 Nov 2018 02:46:32 +0000

gradle (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed the build failure with Java 11 (Closes: #909905)
  * Depend on Java 9+

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 15:53:14 +0200

gradle (4.4-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with asm/6.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Oct 2018 15:12:33 +0200

gradle (4.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Updated the gradle-debian-helper-hook patch for Gradle 4.4
  * Added a system property to disable the gradle-debian-helper hook
  * Declare that Gradle 4.4 breaks gradle-debian-helper (<< 2.0~)
  * Declare that libgradle-plugins-java breaks libgradle-core-java < 4.4
    (Closes: #903775)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Sep 2018 11:15:05 +0200

gradle (4.4-1) experimental; urgency=medium

  * New upstream release
  * Remove 2 additional source files that are no longer needed
    * jQuery.tipTip.js -- No longer build User Guide
    * all-released-versions.js -- Included in upstream
  * Add prebuilt files:
    * api-mapping.txt default-imports.txt -- They will be built from this
      package once this version is uploaded.
    * oss-parent-debian.pom -- Bypass the error (#899005) resolving `findbugs`
  * Move `gradle-wrapper` from `libgradle-plugins-java` to
    `libgradle-core-java` to be consistent with upstream.
  * Remove obsolete patches:
    * add-test-case-for-10-internal_c1fe5e40a76b.patch
    * commons-io.patch
    * dependency-management_depends_on_testkit.patch
    * disallow-both-module-source-path-and-source-path.patch
    * Groovy_projects_depends_on_localGroovy.patch
    * jansi.patch
    * nekohtml.patch
    * new_APIs_in_3.0.patch
    * support-running-gradle-on-jdk-10-500485df3a18.patch
    * support-zulu9-version-number_d9c35cf9d74c.patch
    * upgrade-to-jetty9.patch
  * Add new patches:
    * disable-binary-compatibility.patch -- `javaparser` and `japicmp` not in
      Debian
    * gradle-4-compatibility.patch -- The build scripts uses APIs introduced
      in Gradle 4. The patch should be obsolete once this version is uploaded.
    * disable-google-apis.patch -- Not in Debian
    * disable-internal-android-performance-testing.patch -- Prevent an unwanted
      project being executed.
  * Requires BND 3.5, JDK 8, Gradle 3.4
  * Remove Jetty support for upstream has dropped it
  * Remove the GUI for upstream has dropped it
  * `gradle-doc` only provides Javadoc now because building the other
    documentations needs AsciidoctorJ
  * Use HTTPS on `Homepage` `debian/watch`
  * Switch to Salsa
  * The manpage is now a pointer to the official website. The "command line"
    of the User Guide is not really a manpage style, so I don't want to
    maintain my own version.
  * Use `debian/clean` to simplify `debian/rules`
  * Use `substituteDependencies.gradle` to override dependencies instead of a
    patch. On the next upload, I could even override all of them.

 -- Kai-Chung Yan (殷啟聰) <seamlikok@gmail.com>  Thu, 17 May 2018 18:49:10 +0800

gradle (3.4.1-8) unstable; urgency=medium

  * Team upload.
  * Added a hook in MavenResolver to resolve the artifacts from the system
    repository
  * Build depend on default-jdk instead of default-jdk-headless
    (Closes: #896436)
  * Standards-Version updated to 4.2.1
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 16 Sep 2018 12:18:43 +0200

gradle (3.4.1-7) unstable; urgency=medium

  * Team upload.
  * Update groovy-jar.patch and fix runtime errors with new Groovy versions.
    (Closes: #895455)
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Wed, 11 Apr 2018 23:19:46 +0200

gradle (3.4.1-6) unstable; urgency=medium

  * Team upload.
  * Improved the Java 8 compatibility patch

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Apr 2018 08:39:52 +0200

gradle (3.4.1-5) unstable; urgency=medium

  * Team upload.
  * Backported a fix to support the javac --module-source-path option
  * Fixed the build failure with Ant 1.10 (Closes: #894641)
  * Fixed a runtime error when Gradle is built with Java 9 and runs with Java 8
    (LP: #1760359)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 04 Apr 2018 17:25:28 +0200

gradle (3.4.1-4) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Update jansi.patch to avoid missing groupId in gradle-logging.pom.
    This addresses FTBFS in packages that transitively depend upon
    gradle-logging.
  * Add Apache NOTICE file to gradle binary package docs.

  [ Emmanuel Bourg ]
  * Switch to debhelper level 11

 -- tony mancill <tmancill@debian.org>  Sun, 25 Mar 2018 12:05:10 -0700

gradle (3.4.1-3) experimental; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Removed the build dependency on libwagon2-java
  * Standards-Version updated to 4.1.2

  [ Tiago Daitx ]
  * d/p/cast-estimated-runtime-to-long.patch: fix FTBFS due to missing cast.
    (Closes: #893487)
  * d/p/support-running-gradle-on-jdk-10-500485df3a18.patch,
    d/p/add-test-case-for-10-internal_c1fe5e40a76b.patch,
    d/p/support-zulu9-version-number_d9c35cf9d74c.patch: prevent failures when
    building projects with openjdk 9.

  [ tony mancill ]
  * Bump Standards-Version to 4.1.3
  * Remove Damien Raude-Morvan from Uploaders (Closes: #889385)

 -- tony mancill <tmancill@debian.org>  Sat, 24 Mar 2018 20:41:32 -0700

gradle (3.4.1-2) experimental; urgency=medium

  * Team upload.
  * libgradle-core-java.links: Fix symlink of gradle-version-info.jar.
  * Update use-local-artifacts.patch and register junit4 instead of junit as an
    external module. This will fix the build failure with Mockito.

 -- Markus Koschany <apo@debian.org>  Wed, 29 Nov 2017 16:09:02 +0100

gradle (3.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 3.4.1.
  * Remove the symlink and entry for subproject gradle-task-cache-http because
    it is gone.
  * Drop fix-classpath-annotation.patch. Apparently it is no longer required.
  * Refresh and update all other patches to make the package compile.
  * Fix two FTBFS by adding jansi.patch and commons-io.patch.
  * Symlink WriteProperties.java and PropertiesUtils.java into buildSrc
    directory to avoid another FTBFS due to missing WriteProperties class.
  * Tighten build-dependency of libnative-platform-java to >= 0.14.
  * libgradle-core-java: Install new gradle-workers and gradle-version-info jar.

 -- Markus Koschany <apo@debian.org>  Sat, 25 Nov 2017 16:59:33 +0100

gradle (3.2.1-5) unstable; urgency=medium

  * Team upload.
  * No longer use the wagon2 artifacts
  * Depend on plexus-classworlds instead of plexus-classworlds2

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 11 Nov 2017 10:13:24 +0100

gradle (3.2.1-4) unstable; urgency=medium

  * Team upload.
  * Fixed the 'Cannot find JAR' error with plexus-component-annotations 1.7.1-6
  * Depend on libxbean-reflect-java instead of libxbean-java
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Nov 2017 02:27:56 +0100

gradle (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use the maven-resolver jars instead of eclipse-aether

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Sep 2017 11:00:16 +0200

gradle (3.2.1-2) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871856)
  * Update copyright info.

  [ Emmanuel Bourg ]
  * Depend on libplexus-component-annotations-java and
    libplexus-container-default1.5-java instead of libplexus-containers1.5-java
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Sep 2017 11:06:08 +0200

gradle (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Skip the internalAndroidPerformanceTesting build

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 11:31:24 +0100

gradle (3.1-2) unstable; urgency=medium

  * d/control:
    * Requires JDK >= 7 as the upstream does
    * libgradle-plugins-java Breaks & Replaces libgradle-core-java (<< 3.1-1~)
      because gradle-wrapper.jar is moved. This may be able to fix #844336.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 16 Nov 2016 14:07:14 +0800

gradle (3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #844020)
  * Rename javadoc directory: /usr/share/doc/gradle/{javadoc => api}
  * Update to debhelper 10
  * d/gradle.desktop: Improve zh-TW translation
  * Move gradle-wrapper.jar from libgradle-core-java to libgradle-plugins-java
  * gradle-doc: Install DSL documentations and release notes
  * Use javahelper to install Javadoc
  * No longer embed Class-Path in JAR manifests since Gradle uses its own class
    loading mechanism, otherwise 2 sets of the same JARs will be loaded
  * d/gradle-doc.lintian-overrides: Override duplicate-files since they are
    example files not mistakes and the warnings are annoying
  * Drop/new patches:
    - disable_tests.diff: Now use a cleaner way to bypass tests
    - disable_sonar.diff: Upstream dropped the sonar plugin
    + drop_http-builder.patch: http-builder is not in Debian yet
    + new_APIs_in_3.0.patch
    + disable_Kotlin.patch
    + disable_buildSrc_tests.patch
    + dependency-management_depends_on_testkit.patch: Otherwise ZIP I/O errors
    + Groovy_projects_depends_on_localGroovy.patch: Otherwise errors
    + remove_timestamps.patch: Improve reproducibility by manually setting
      timestamps and other dynamic properties
    + drop_jmh-gradle-plugin.patch: jmh-gradle-plugin is not in Debian yet
  * New JARs:
    * gradle-composite-builds.jar
    * gradle-ide-play.jar
    * gradle-installation-beacon.jar
    * gradle-jvm-services.jar
    * gradle-logging.jar
    * gradle-process-services.jar
    * gradle-task-cache-http.jar
  * d/control:
    * Build-Depends on libfindbugs instead of findbugs
    * Restrict dependencies:
      * groovy >= 2.4.7
      * gradle >= 2.13
      * libnative-platform-java >= 0.11
    * gradle now Suggests gradle-doc (Closes: #843211)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 14 Nov 2016 13:34:34 +0800

gradle (2.13-4) unstable; urgency=emergency

  * Make all dependencies versionless (Closes: #836391)
  * Drop 30_envjs.diff: simpleframework is already in Debian
  * d/gradle.desktop: Add zh-HK translation

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 04 Sep 2016 22:41:19 +0800

gradle (2.13-3) unstable; urgency=high

  * Team upload.
  * Use a versionless dependency on groovy-all in the classpath of the modules
  * Use a versionless dependency on httpcore in the classpath
    of the resources-http module

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Jun 2016 10:09:10 +0200

gradle (2.13-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on ant-optional for libgradle-plugins-java
    (required to use groovy-ant in gradle-plugins)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 May 2016 09:33:06 +0200

gradle (2.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Transition to Jetty 9 (patch imported from Fedora, thanks to Michal Srb)
  * Modified the Groovy jar detection logic to recognize the jar
    in the system Maven repository

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 May 2016 22:10:23 +0200

gradle (2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 May 2016 10:33:01 +0200

gradle (2.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Install the new gradle-testing-base and gradle-testing-jvm artifacts
  * Removed the unused dependency on libclassworlds-java
  * Depend on libasm-java instead of libasm4-java
  * Depend on libcglib-nodep-java instead of libcglib3-java
  * Depend on groovy instead of groovy2

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 08:57:42 +0200

gradle (2.10-2) unstable; urgency=medium

  * Team upload.
  * Fixed the CycleDetectedException when installing Maven artifacts.
    Thanks to Mikolaj Izdebski for the patch. (Closes: #810817)
  * Removed disable_java9.diff (no longer required)
  * Removed 26_disable_commitid.diff (not required)
  * Replaced disable_release_notes.diff with a task exclusion parameter
  * Moved aether dependencies changes to eclipse-aether.diff
  * Merged maven-aether-provider.diff into eclipse-aether.diff
  * Merged maven_builder_support.diff into maven-3.3.9-compatibility.patch
  * Removed unnecessary changes performed by use_local_artifacts.diff
  * Standards-Version updated to 3.9.7 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Mar 2016 15:17:36 +0100

gradle (2.10-1) unstable; urgency=medium

  * New upstream release
    - Update manpage
  * Drop the use of javahelper since it never works well with maven-repo-helper
  * d/generate_classpath.gradle: Sort classpaths for reproducibility
  * drop d/patches/disable_distributions.diff: Unnecessary

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 21 Jan 2016 15:55:53 +0800

gradle (2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Apply the java plugin in debian/generate-classpath.gradle

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Jan 2016 17:56:19 +0100

gradle (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Lintian overrides libgradle-core-java
  * Re-use the faster clean logic from gradle-debian-helper
  * Build depend on libspock-java >= 0.7 and drop disable_buildSrc_tests.diff

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Dec 2015 15:00:47 +0100

gradle (2.7-4) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Fixed the compatibility with Maven 3.3.9 by adding commons-lang3
    to the classpath

  [ Kai-Chung Yan ]
  * Removed the Debian revision from the version number in the manpage

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Nov 2015 13:14:44 +0100

gradle (2.7-3) unstable; urgency=medium

  * Team upload.
  * Drop use-bndlib-1.50.0.patch and transition to bnd 2.1.0.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 20:41:57 +0100

gradle (2.7-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Remove mh_linkjars override. Apparently the override makes no
    difference.
  * Add ivy-2.4.0.patch and fix FTBFS with ivy 2.4.0. Thanks to
    Christ West for the report and Mikołaj Izdebski for the patch.
    (Closes: #804470)

 -- Markus Koschany <apo@gambaru.de>  Wed, 11 Nov 2015 21:55:31 +0100

gradle (2.7-1) unstable; urgency=low

  [ Kai-Chung Yan ]
  * New upstream release
  * d/copyright: Simplify file exclusion pattern with *.min.js
  * Remove maven_testng.diff: No longer needed.
  * d/control:
    - Remove maven from Build-Depends
    - Add libcglib3-java to Build-Depends
    - Build-Depends on gradle (>= 2.5)
    - Add dh-exec to Build-Depends
    - Add java6-runtime-headless to Depends as an option
    - Replace dependencies of libservlet2.5-java and libtomcat7-java with
      libservlet3.1-java and libtomcat8-java
    - Add default-jre to Suggests and document it in the description
    - Remove all Recommends
  * d/rules: No need to copy gradle-core codes to buildSrc
  * Remove fix_DocGenerationException.diff: No longer needed
  * Update maven_jcommander.diff to jcommander.diff
  * Remove build_init.diff: Obsolete
  * Remove taskOrdering.diff: Obsolete
  * d/rules: Update parallel Gradle usage
  * Add an application menu entry for Gradle GUI
  * Add symlinks to all Gradle jars in /usr/share/gradle, making a pseudo
    making a pseudo Gradle installation
  * New d/generate-classpath.gradle: Auto generate
    classpath attributes to jar manifest
  * Refresh use_local_artifacts.diff and jetty.diff to migrate to Tomcat 8
    (Closes: #801014)
  * New d/generate-pom.gradle: Auto generate POMs and install to maven-repo

  [ Emmanuel Bourg ]
  * debian/watch: Exclude the release candidates from the versions reported

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 26 Oct 2015 16:31:38 +0100

gradle (2.5-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Mon, 17 Aug 2015 20:02:49 +0200

gradle (2.5-2) experimental; urgency=medium

  [ Markus Koschany ]
  * Add use-bndlib-1.50.0.patch and switch to bnd 1.50.0, so that Gradle can be
    uploaded to unstable.
  * debian/control: Remove versioned dependency of bnd.

  [ Kai-Chung Yan ]
  * New maven_builder_support.diff: maven-builder-support.jar is also needed
  * use_local_artifacts.diff: Remove version of plexus-cipher and
    plexus-sec-dispatcher
  * d/gradle.1.md: Correct typo and update version

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 14 Aug 2015 23:55:50 +0800

gradle (2.5-1) experimental; urgency=low

  * New upstream release (Closes: #754725)
  * d/control: Remove libmaven2-core-java(-doc)
               Remove bintray-client-java
               Change Groovy dependencies to groovy2 (>= 2.3.10)
               Remove groovy from Build-Conflicts
               Remove libjna-posix-java
               Remove ant-optional
               Remove libplexus-container-default-java
               Change maven to libmaven3-core-java (>= 3.3.3)
  * d/watch: Watch services.gradle.org
  * d/copyright: Add Files-Excluded for uscan
  * d/rules: Simplify get-orig-source target
  * Drop multiple patches under d/patches/:
    - 03_plexus.diff: Files not exist
    - 11_fix_jni_path.diff: Files not exist
    - 35_ivy_23.diff: Files not exist
    - 36_java8_compatibility.diff: Files not exist
    - 37_replace_internal_testng_api.diff: Files not exist
    - 38_use_jdk7_nio_file_api.diff: Files not exist
    - 39_ignore_test_processor_assertion.diff: Files not exist
    - bintray_api.diff: No longer use bintray
    - bintray_dependencies.diff: No longer use bintray
    - diagnostics_jquery.diff: Minified .js not exist
    - disable_css3pie.diff: No longer use css3pie
    - remove_test_dependencies.diff: Integrated into disable_tests.diff
  * Multiple new patches under debian/patches/:
    - disable_aws.diff: AWS SDK for Java is not in Debian
    - disable_java9.diff: java9.gradle causes errors
    - taskOrdering.diff: shouldRunAfter() is not in Gradle 1.5
    - maven_depends.diff: Maven module uses jcommander but does not declare
    - maven_testng.diff: Maven module uses a deprecated API from testng
    - nekohtml.diff: Fix nekohtml usage
    - relax_warnings.diff: strictCompile.gradle is too strict
    - eclipse-aether.diff: Original aether is deprecated
    - maven-aether-provider.diff: Used deprecated API of maven-aether-provider
  * gradle-doc no longer provides Gradle User Guide and DSL Reference because
    missing Sonar plugins cause their compilation to produce errors.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 13 Jul 2015 22:47:30 +0200

gradle (1.12-1) experimental; urgency=medium

  * New upstream release (Closes: #733148)
  * d/control: Refresh multiple Build-Depends and Depends
  * d/control: Add myself as Uploaders (Closes: #683666)
  * d/bootstrap: Use Gradle 1.5 for bootstrap
  * d/gradle.1.md: Updated man page for gradle using Pandoc Markdown
  * Remove most symlinks to external jar files
  * Install multiple doc-base for all documentations
  * Move jars between packages
    - gradle-cli.jar from gradle to libgradle-core-java
    - gradle-open-api.jar from gradle to libgradle-core-java
    - gradle-messaging.jar from gradle to libgradle-core-java
    - gradle-native.jar from gradle to libgradle-core-java
    - gradle-tooling-api.jar from gradle to libgradle-core-java
  * Drop multiple patches under debian/patches/:
    - 13_fix_javadocs_links.diff: Already merged into docs.diff
    - 23_replace_jna-posix_with_jnr-posix.diff: Future Gradle no longer use jnr
    - 24_pegdown.diff: Pegdown is already in Debian
    - 27_maven.diff: Already merged into use_local_artifacts.diff
    - 28_findbugs.diff: Findbugs is already in Debian
    - 31_hamcrest_12.diff: This patch is for tests codes, hence not needed
    - 90_respect_user_java_home.diff: No longer needed in Gradle 1.12
  * Multiple new patches under debian/patches/
    - bintray-api.diff: Update the usage of bintray APIs 0.8.1
    - bintray-dependencies.diff: bintray libraries are renamed in 0.8.1
    - build_init.diff: build-init.gradle uses APIs higher than Gradle 1.5
    - diagnostics_jquery.diff: Use local jQuery instead of shipping one
    - disable_buildSrc_tests.diff: Disable buildSrc tests
    - disable_distributions.diff: Disable the tasks to generate a Zip file
    - disable_docs.diff: Temporarily disable Gradle documentations
    - disable_sonar.diff: Updated version of 02_sonar.diff
    - disable_tests.diff: Extended version of 32_disable_it.diff
    - fix_DocGenerationException.diff:
    - jetty.diff: Replace some Jetty libraries with existing ones
    - remove_test_depedencies.diff: Remove dependencies for building tests
    - search_system_jar.diff: Let Gradle search Java libraries in
      /usr/share/java/
    - use_local_artifacts.diff: Updated version of 01_use_debian_jars.diff

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 26 Jun 2015 23:44:30 +0200

gradle (1.5-3) unstable; urgency=medium

  * Team upload.
  * Fixed a compatibility issue with testng 6.9
  * Use the JDK 7 API for the chmod/stat operations until jnr-posix
    is fixed in sid
  * Removed a failing assertion in JUnitTestEventAdapter

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Jun 2015 14:40:27 +0200

gradle (1.5-2) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure caused by the transition of libspock-java to cglib3
  * Added an explicit build dependency on libaether-java
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 09:45:56 +0200

gradle (1.5-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * New upstream release
    - Added a build dependency on libjatl-java
    - Refreshed the patches
  * Fixed a compilation error with Java 8
  * Standards-Version updated to 3.9.5 (no changes)
  * Updated the version of Guava used to fix a clean error
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9

  [ Miguel Landaeta ]
  * Add patch to don't override user defined JAVA_HOME in the gradle script.
    (Closes: #719814).
  * Fix possible-unindented-list-in-extended-description lintian tag.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 13 May 2014 17:38:10 -0300

gradle (1.4-2) unstable; urgency=low

  * Fix compatibility with Apache Ivy 2.3 (Closes: #713171):
    - d/patches/35_ivy_23.diff: fix FTBFS on downloadRepositoryResource method
    - d/control: {Build,}-Depends on ivy (>= 2.3)
  * d/patches/34_disable_code_quality.diff: Disable some code analysis check
    to speed-up package build.
  * d/control: Merge Depends/Recommends field because Gradle just fails on
    missing dependencies (event if module is not used by user).
    (Closes: #718960, #707764).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 11 Aug 2013 16:13:00 +0200

gradle (1.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Merge all plugins packages into gradle-plugins: there is not real value
    in providing all those small packages since libgradle-core-java Depends
    on most of plugins dependencies.
  * d/control: Build-Depends on libasm4-java instead of libasm3-java.
  * d/control: Add Build-Depends on libnative-platform-java and
    libnative-platform-jni.
  * d/control: Build-Depends on libjarjar-java (>= 1.4+svn142-1) to build
    Gradle with jarjar which handle correctly updating the fully qualified
    class names in the jar's resources. Otherwise, we get errors during plexus
    startup.
  * d/rules: Add support for DEB_BUILD_OPTIONS parallel=n using new Gradle
    parallel feature.
  * d/control: Add Build-Depends on libkryo-java.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * d/control: Use canonical URL for Vcs-* fields.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 05 Feb 2013 23:38:19 +0100

gradle (1.1-1) experimental; urgency=low

  * New upstream release (Closes: #667077).

  [ Miguel Landaeta ]
  * Replace dependencies on jna-posix library with jnr-posix. (Closes: #628662).

  [ Damien Raude-Morvan ]
  * d/control: Add myself as Uploader.
  * d/control: Depends and B-D on new groovy (>= 1.8) (Closes: #637273).
  * Update all patches for new Gradle 1.1:
    - Drop d/patches/12_fix_missing_classpath.diff since its not needed anymore.
  * d/control: Replace B-D on libcommons-httpclient-java to libhttpclient-java.
  * d/control: Replace B-D on libgoogle-collections-java to libguava-java.
  * d/control: Add B-D on libjarjar-java,
    libjcifs-java, libjcip-annotations-java.
  * d/control: Drop B-D on libjoptsimple-java and libjzlib-java.
  * d/control: Replace B-D on maven (>= 3.0.4-4) instead of libmaven2-*.
  * d/bootstrap.sh: Update to Gradle 1.1 and add Provides for libraries.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Generate documentation:
    - d/patches/21_docs.diff: Fix links in docbook files.
    - Add B-D on docbook-xsl for documentation export.
    - Add B-D on libxalan2-java, libxerces2-java, libxslthl-java
      and libcore-renderer-java.
  * Enable new modules module cpp, ear, javascript, signing:
    - Add B-D on libbcpg-java and libbcprov-java.
    - Add B-D on librhino-java, libgoogle-gson-java.
  * Tomcat 6 / 7 compatibility (Closes: #683595):
    - Depends in libservlet2.5-java and libecj-java instead of libtomcat6-java.
  * Include new d/watch from Bart Martens <bartm@debian.org>.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 26 Dec 2012 23:52:01 +0100

gradle (1.0~m3-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS bug due to changes introduced in recent Groovy versions.
    (Closes: #625767).
  * Refresh patches.
  * Drop libgradle-eclipse-java and libgradle-idea-java packages.
  * Add libgradle-ide-java package.
  * Set Ant >= 1.8 as the minimal version to depend on.
  * Add Depends on bsh and libtomcat6-java.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Update watch file.
  * Fix missing-classpath lintian warnings.
  * Update copyright dates and make it DEP-5 compliant.
  * Add README.source.
  * Link javadocs to system javadocs.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 31 May 2011 00:47:16 +0200

gradle (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Refresh patches.
  * Add Build-Depends on libgradle-maven-java.
  * Update watch file.
  * Update copyright dates.
  * Drop unneeded patch for liblogback-java and set (>= 0.9.28) as
    minimal version to depend on.
  * Drop Build-Depends on quilt.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 26 Mar 2011 23:07:59 +0100

gradle (0.9.1-1) experimental; urgency=low

  * Initial release. (Closes: #587832).

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 04 Jan 2011 19:43:27 -0430
